RunLengthIntegerWriterV2.EncodingType (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Enum RunLengthIntegerWriterV2.EncodingType

- java.lang.Object
- - java.lang.Enum<RunLengthIntegerWriterV2.EncodingType>
  - - org.apache.orc.impl.RunLengthIntegerWriterV2.EncodingType

- All Implemented Interfaces:
    Serializable, Comparable<RunLengthIntegerWriterV2.EncodingType>
  Enclosing class:
    RunLengthIntegerWriterV2

      public static enum RunLengthIntegerWriterV2.EncodingType
      extends Enum<RunLengthIntegerWriterV2.EncodingType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELTA`
    `DIRECT`
    `PATCHED_BASE`
    `SHORT_REPEAT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RunLengthIntegerWriterV2.EncodingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RunLengthIntegerWriterV2.EncodingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHORT_REPEAT

          public static final RunLengthIntegerWriterV2.EncodingType SHORT_REPEAT

    - #### DIRECT

          public static final RunLengthIntegerWriterV2.EncodingType DIRECT

    - #### PATCHED_BASE

          public static final RunLengthIntegerWriterV2.EncodingType PATCHED_BASE

    - #### DELTA

          public static final RunLengthIntegerWriterV2.EncodingType DELTA

  - ### Method Detail

    - #### values

          public static RunLengthIntegerWriterV2.EncodingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RunLengthIntegerWriterV2.EncodingType c : RunLengthIntegerWriterV2.EncodingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RunLengthIntegerWriterV2.EncodingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.